org.apache.poi.hwmf.record

## Class HwmfFont.WmfClipPrecision

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfFont.WmfClipPrecision

- All Implemented Interfaces:
    GenericRecord
  Enclosing class:
    HwmfFont

      public static class HwmfFont.WmfClipPrecision
      extends java.lang.Object
      implements GenericRecord

  ClipPrecision Flags specify clipping precision, which defines how to clip characters that are partially outside a clipping region. These flags can be combined to specify multiple options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfClipPrecision()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `init(LittleEndianInputStream leis)`
    `boolean` | `isCharacterPrecision()`
    `boolean` | `isDefaultPrecision()`
    `boolean` | `isFontAssociated()`
    `boolean` | `isLeftHandAngles()`
    `boolean` | `isStrokePrecision()`
    `boolean` | `isTrueTypeAlways()`
    `java.lang.String` | `toString()`
    `boolean` | `useEmbeddedFont()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### WmfClipPrecision

          public WmfClipPrecision()

  - ### Method Detail

    - #### init

          public int init(LittleEndianInputStream leis)

    - #### isDefaultPrecision

          public boolean isDefaultPrecision()

    - #### isCharacterPrecision

          public boolean isCharacterPrecision()

    - #### isStrokePrecision

          public boolean isStrokePrecision()

    - #### isLeftHandAngles

          public boolean isLeftHandAngles()

    - #### isTrueTypeAlways

          public boolean isTrueTypeAlways()

    - #### isFontAssociated

          public boolean isFontAssociated()

    - #### useEmbeddedFont

          public boolean useEmbeddedFont()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.